\documentclass[11pt,a4paper]{article}

\usepackage{amssymb, amsthm, enumerate, amsmath, pictexwd, mathrsfs, ../yomcat, ../diagrams}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem*{sol}{Solution}
\newtheorem*{solution}{Solution}

\setlength\arraycolsep{2pt}
\setlength\headheight{0pt}
\setlength\headsep{0pt}
\setlength\textwidth{400pt}
\setlength\marginparwidth{0pt}

\makeatletter
\def\imod#1{\allowbreak\mkern10mu({\operator@font mod}\,\,#1)}
\makeatother

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 437 \hfill
Assignment 1 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}
	\item Firstly, $\nabla(f) = (2x + y, 2y + x)$ and $\nabla(g) = (2x, 4y)$. So the set of equations to be solved simultaneously is \begin{align*}
		2x + y - \lambda(2x) &= 0 \tag{$\alpha$} \\
		2y + x - \lambda(4y) &= 0 \tag{$\beta$} \\
		x^2 + 2y^2 - 1 &= 0 \tag{$\gamma$}
	\end{align*}
	Rewriting equations $\alpha$ and $\beta$ so that they're both equal to $\lambda$ and then equating gives \begin{align*}
		\frac{2x + y}{2x} &= \frac{2y + x}{4y} \\
		4y(2x + y) &= 2x(2y + x) \\
		8xy + 4y^2 &= 4xy + 2x^2 \\
		4xy + 2y^2 &= 2xy + x^2 \\
		2y^2 + 2xy - x^2 &= 0
	\end{align*}
	From equation $\gamma$, $x^2 = 1 - 2y^2$, so \begin{align*}
		2y^2 + 2xy - (1 - 2y^2) &= 0 \\
		2y^2 + 2xy - 1 + 2y^2 &= 0 \\
		4y^2 + 2xy - 1 &= 0 \tag{$\delta$}
	\end{align*}
	Plugging $\delta$ into the quadratic formula gives
	\[
		y = \displaystyle\frac{-2x \pm \displaystyle\sqrt{4x^2 + 16}}{8}
	\]
	This looks like it could get hideous, so I gave up and chucked equations $\alpha$, $\beta$, and $\gamma$ into Sage and solves for $x$, $y$, and $\lambda$ giving
	\begin{align*}
		x &= \frac{1}{6} \left(\sqrt{-\sqrt{3} + 3}\right) \sqrt{6} &y &= \frac{\sqrt{-\sqrt{3} + 3}}{{(\sqrt{2} \sqrt{3} - 3 \, \sqrt{2})}} &\lambda &= -\frac{1}{4} \, \sqrt{3} + \frac{3}{4} \tag{$\varepsilon$} \\
		x &= -\frac{1}{6} \left(\sqrt{-\sqrt{3} + 3}\right) \sqrt{6} &y &= -\frac{\sqrt{-\sqrt{3} + 3}}{{(\sqrt{2} \sqrt{3} - 3 \, \sqrt{2})}} &\lambda &= -\frac{1}{4} \, \sqrt{3} + \frac{3}{4} \tag{$\zeta$} \\
		x &= \frac{1}{6} \left(\sqrt{\sqrt{3} + 3}\right) \sqrt{6} &y &= \frac{\sqrt{\sqrt{3} + 3}}{{(\sqrt{2} \sqrt{3} + 3 \, \sqrt{2})}} &\lambda &= \frac{1}{4} \, \sqrt{3} + \frac{3}{4} \tag{$\eta$} \\
		x &= -\frac{1}{6} \left(\sqrt{\sqrt{3} + 3}\right) \sqrt{6} &y &= -\frac{\sqrt{\sqrt{3} + 3}}{{(\sqrt{2} \sqrt{3} + 3 \, \sqrt{2})}} &\lambda &= \frac{1}{4} \, \sqrt{3} + \frac{3}{4} \tag{$\vartheta$}
	\end{align*}
	Substituting all these values into $f(x,y) = x^2 + y^2 + xy$
	\begin{align*}
		f(x_\varepsilon, y_\varepsilon) &= -\frac{1}{6} \, \frac{{(\sqrt{3} - 3)} \sqrt{6}}{{(\sqrt{2} \sqrt{3} - 3 \, \sqrt{2})}} - \frac{1}{6} \, \sqrt{3} - \frac{{(\sqrt{3} - 3)}}{{(\sqrt{2} \sqrt{3} - 3 \, \sqrt{2})}^{2}} + \frac{1}{2} &\approx 0.3170 \\
		f(x_\zeta, y_\zeta) &= -\frac{1}{6} \, \frac{{(\sqrt{3} - 3)} \sqrt{6}}{{(\sqrt{2} \sqrt{3} - 3 \, \sqrt{2})}} - \frac{1}{6} \, \sqrt{3} - \frac{{(\sqrt{3} - 3)}}{{(\sqrt{2} \sqrt{3} - 3 \, \sqrt{2})}^{2}} + \frac{1}{2} &\approx 0.3170 \\
		f(x_\eta, y_\eta) &= \frac{1}{6} \, \frac{{(\sqrt{3} + 3)} \sqrt{6}}{{(\sqrt{2} \sqrt{3} + 3 \, \sqrt{2})}} + \frac{1}{6} \, \sqrt{3} + \frac{{(\sqrt{3} + 3)}}{{(\sqrt{2} \sqrt{3} + 3 \, \sqrt{2})}^{2}} + \frac{1}{2} &\approx 1.1830 \\
		f(x_\vartheta, y_\vartheta) &= \frac{1}{6} \, \frac{{(\sqrt{3} + 3)} \sqrt{6}}{{(\sqrt{2} \sqrt{3} + 3 \, \sqrt{2})}} + \frac{1}{6} \, \sqrt{3} + \frac{{(\sqrt{3} + 3)}}{{(\sqrt{2} \sqrt{3} + 3 \, \sqrt{2})}^{2}} + \frac{1}{2} &\approx 1.1830
	\end{align*}
	From this, it can be seen that the maximum value of $x^2 + y^2 + xy$ subject to the constraint is approximately 1.18301270189222.
	\item To start with, I attempted to solve this problem algebraically. I defined variables as follows \begin{align*}
		c_\alpha &\define \cos(\alpha) &s_\alpha &\define \sin(\alpha) \\
		c_\beta &\define \cos(\beta) &s_\beta &\define \sin(\beta) \\
		c_\gamma &\define \cos(\gamma) &s_\gamma &\define \sin(\gamma)
	\end{align*}
	I was then able to create five equations in six variables \begin{align*}
		c_\alpha + c_\beta + c_\gamma &= 1 \\
		s_\alpha + s_\beta - s_\gamma &= 0 \\
		c_\alpha^2 + s_\alpha^2 &= 1 \\
		c_\beta^2 + s_\beta^2 &= 1 \\
		c_\gamma^2 + s_\gamma^2 &= 1 \\
	\end{align*}
	Putting this into Sage, I could only solve them in terms of one variable, and I ended up with either $\alpha = 0$ or $\beta = 0$, neither which make much sense. \\
	So, I looked at the problem geometrically. As $a = b = c = d$, the only possible shape that the bars can be in is a rhombus. Using some geometry rules, I arrived at the following \begin{align*}
		\alpha &= \pi - \beta - \gamma \\
		\gamma &= \pi - \alpha + \beta
	\end{align*}
	In other words, the only constraint on $\alpha$, $\beta$, and $\gamma$ is that opposite pairs of angles must be equal.
	\item \begin{enumerate}
		\item Consdider the following table
			\[\begin{tabular}{c|c|c|c|c}
			$x$ & $y$ & $x^2y$ & $xy^2$ & $x^2y + xy^2$ \\ \hline
			1 & 1 & 1 & 1 & 0 \\
			1 & 0 & 0 & 0 & 0 \\
			0 & 1 & 0 & 0 & 0 \\
			0 & 0 & 0 & 0 & 0
			\end{tabular}\]
		Therefore, for all $\textbf{v} \in \mbb{Z}_2^2$, $g(\textbf{v}) = 0$, and so $x^2y + xy^2$ gives rise to the zero function on $\mbb{Z}^2_2$.
		\item Consider the following polynomial and associated table
			\[ h(x,y,z) = x^2yz^7 + x^{14}y^4z^{17} \]
			\[\begin{tabular}{c|c|c|c|c|c}
			$x$ & $y$ & $z$ & $x^2yz^7$ & $x^{14}y^4z^{17}$ & $x^2yz^7 + x^{14}y^4z^{17}$ \\ \hline
			1 & 1 & 1 & 1 & 1 & 0 \\
			1 & 1 & 0 & 0 & 0 & 0 \\
			1 & 0 & 1 & 0 & 0 & 0 \\
			1 & 0 & 0 & 0 & 0 & 0 \\
			0 & 1 & 1 & 1 & 1 & 0 \\
			0 & 1 & 0 & 0 & 0 & 0 \\
			0 & 0 & 1 & 0 & 0 & 0 \\
			0 & 0 & 0 & 0 & 0 & 0
			\end{tabular}\]
		Therefore $\widehat{h} \equiv 0$ and so $h$ vanishes on $\mbb{Z}_2^3$.
		\item It is known that $a^{p-1} = 1$ in \mz{p}\sm 0, so $a = a \cdot 1 = a \cdot a^{p-1} = a^{1+p-1} = a^p$, and so $a^p = a$ $\forall a \in \mz{p}\sm 0$. \\
		Therefore the non-zero polynomial $x^p - x \in \mz{p}[x]$ vanishes on \mz{p} as a function.
	\end{enumerate}
	\item \begin{enumerate}
		\item[\ltr] Assume that $\widehat{f}$ and $\widehat{g}$ are different functions. Then there exists some $t$ such that $\widehat{f}(t) \neq \widehat{g}(t)$. Therefore $\widehat{f} - \widehat{g} \not\equiv 0$, and so, by Theorem 1 from Lecture 1, $f - g$ is not the zero polynomial, so $f \neq g$ in $k[\vect{x}{n}]$. \\
		The desired result follows via contrapositive.
		\item[\rtl] Assume that $\widehat{f}$ and $\widehat{g}$ are the same function. Then $\widehat{f} - \widehat{g} \equiv 0$, so $f - g$ is the zero polynomial (by Theorem 1 from Lecture 2). Therefore $f = g$ in $k[\vect{x}{n}]$. \pend
	\end{enumerate}
	\item \begin{enumerate}
		\item If ${\bf a} \in V \cap W$ then $\forall f_i, g_j$, $f_i({\bf a}) = 0 = g_j({\bf a})$. Therefore $V \cap W = {\bf V}(\vect{f}{s}, \vect{g}{t})$. \\
		Consider the variety $T = \mathbf{V}(f_ig_j | 1 \leq i \leq s, 1 \leq j \leq t)$. If $\mathbf{a} = (\vect{a}{n}) \in V$, then all of the $f_i$'s vanish at $\mathbf{a}$ and therefore, so do all the $f_ig_j$'s. Therefore $V \subseteq T$. By a similar argument, $W \subseteq T$, and so $V \cup W \subseteq T$. \\
		Conversely, suppose that $\mathbf{b} = (\vect{b}{n}) \in T$. If $\mathbf{b} \in V$, then $T \subseteq V \cup W$, and we're done. If $\mathbf{b} \notin V$, then $f_{i'}(\vect{b}{n}) \neq 0$ for some $i'$. However, $\mathbf{b} \in T$, so $f_{i'}g_j$ vanishes for all $j$, so every $g_j$ must vanish at $\mathbf{b}$ and so $\mathbf{b} \in W$. Hence $T \subseteq V \cup W$. \\
		As $T \subseteq V \cup W$ and $T \supseteq V \cup W$, $T = V \cup W$. \\
		Hence both $V \cap W$ and $V \cup W$ are varieties. \pend
		\item $V \times W = \{(\vect{x}{n}, \vect{y}{m}) | (\vect{x}{n}) \in V, \, (\vect{y}{m}) \in W\}$. Let $V = {\bf V}(\vect{f}{s})$ and $W = {\bf V}(\vect{g}{t})$. Then $f_i,\ g_j \in k[\vect{x}{n}, \vect{y}{m}]$. As $f_i$ is only defined over ${\bf x}$, it gives the first ``co-ordinate'' of $V \times W$, and likewise for $g_j$ and the second ``co-ordinate''. So $V \times W$ is a variety. \pend
		\item Let the set of points be $\{\vect{\textbf{a}}{t}\}$. Then it can be defined as the finite union of varieties
		\[
			\displaystyle\bigcup^{t}_{i=1} \textbf{V}(x_1 - a_{i_1}, \dots, x_n - a_{i_n})
		\]
		which is also a variety.
	\end{enumerate}
	\item ${\bf V}((x - y)(x^2 + 4y^2 - 1), (z - 1)(x^2 + 4y^2 - 1)) = {\bf V}(x - y, z - 1) \cup {\bf V}(x^2 + 4y^2 - 1)$, and a ``sketch'' producded using Sage is attached. $(\tt{1\_6.jpeg})$
	\item \begin{enumerate}
		\item Let $x = r \cos(\theta)$ and $y = r \sin(\theta)$. Then \begin{align*}
			(x^2 + y^2)^3 - 4x^2y^2 &= ((r \cos(\theta))^2 + (r \sin(\theta))^2)^3 - 4(r \cos(\theta))^2(r \sin(\theta))^2 \\
			&= (r^2(\cos^2(\theta) + \sin^2(\theta)))^3 - (2r^2\cos(\theta)\sin(\theta))^2 \\
			&= (r^2)^3 - (r^2\sin(2\theta))^2 \\
			&= r^6 - (r^2r)^2 \\
			&= 0
		\end{align*}
		So the rose is contained in $V$.
		\item Let $(x, y) \in V$. Then $(x^2 + y^2)^3 - (2xy)^2 = 0$. Plotting this equation using Sage (Ref: $\tt{1\_7cii.png}$), it can be seen that the rose (Ref: $\tt{1\_7ci.png}$) is contained in it.
		\item The attached file $\tt{1\_7ci.png}$ is the plot of the polar equation using Sage, and the file $\tt{1\_7cii.png}$ is the plot of the variety.
	\end{enumerate}
	\item \begin{enumerate}
		\item Assume that $X = {\bf V}(\vect{f}{s})$ for some $f_i \in \mbb{R}[x, y]$. Let $g(k) = f(k,k)$. Then $g(k) = 0$ . In other words, $\widehat{g}$ is the zero function. Then, by Theorem 1 from Lecture 2, $g$ = 0. In particular, $g(1) = 0$. Therefore $f(1, 1) = 0$, so $(1, 1) \in X$. But $X = \{(x, x) | x \in \mbb{R}\sm\{1\}\}$, so $(1,1) \notin X$. This is a contradiction, so $X$ cannot be a variety. \pend
		\item \begin{enumerate}
			\item The set $X$ from the previous question can be expressed as the infinite union of varieties:
			\[
				\displaystyle\bigcup_{a \in \mbb{R}\sm\{1\}} {\bf V}(x - a, y - a)
			\]
			As it is not a variety, an infinite union of varieties need not be a variety.
			\item The set $X$ from the previous question can be expressed as the difference of two varieties:
			\[
				{\bf V}(x - y) - {\bf V}(x - 1, y - 1)
			\]
			As it is not a variety, the difference of two varieties need not be a variety.
		\end{enumerate}
	\end{enumerate}
	\item I don't know how to show that $(x, y, z) = (tu, tv, t-1)$, but I can go from here: 
	\begin{align*}
		1 &= x^2 + y^2 + z^2 \\
		&= (tu)^2 + (tv)^2 + (t-1)^2 \\
		&= t^2u^2 + t^2v^2 + t^2 - 2t + 1 \\
		0 &= t^2(u^2 + v^2 + 1) - 2t \\
		&= t(t(u^2 + v^2 + 1) - 2)
	\end{align*}
	So either $t = 0$, in which case $(x,y,z) = (0,0,-1)$ or $t = \frac{2}{u^2 + v^2 + 1}$. Using this second solution \begin{align*}
		x &= \displaystyle\frac{2u}{u^2 + v^2 + 1} \\
		y &= \displaystyle\frac{2v}{u^2 + v^2 + 1} \\
		z &= \displaystyle\frac{2}{u^2 + v^2 + 1} - 1 \\
		&= \displaystyle\frac{u^2 + v^2 - 1}{u^2 + v^2 + 1}
	\end{align*}
	This is the rational parameterisation desired.
\end{enumerate}

\end{document}